List providers
Lists available providers, their default models and voices, and the TTS and STT models they support. Use `GET /v1/models` to browse by model instead.
/v1/providersLists available providers, their default models and voices, and the TTS and STT models they support. Use GET /v1/models to browse by model instead.
Response Body
application/json
const response = await fetch("https://api.allmodels.io/v1/providers");if (!response.ok) throw new Error(`AllModels request failed: ${response.status}`);console.log(await response.json());import requestsresponse = requests.get( "https://api.allmodels.io/v1/providers", timeout=30,)response.raise_for_status()print(response.json())curl https://api.allmodels.io/v1/providers{ "providers": { "openai": { "defaults": { "tts": { "model": "gpt-4o-mini-tts", "voice": "alloy" }, "stt": { "model": "gpt-realtime-whisper" } }, "tts": [ { "id": "gpt-4o-mini-tts", "canonical": "openai/gpt-4o-mini-tts", "aliases": [], "streaming": false, "synchronous": true, "formats": [ "mp3", "opus", "aac", "flac", "wav", "pcm" ], "instructions": { "mode": "native", "honored": true }, "pricing": { "currency": "usd", "unit": "1000 characters", "unitPrice": "0.016875" } } ], "stt": [ { "id": "whisper-1", "canonical": "openai/whisper-1", "aliases": [], "streaming": false, "synchronous": true, "batch": false, "pricing": { "currency": "usd", "unit": "minute", "unitPrice": "0.00633" } } ] } }}List models GET
Lists the TTS and STT models available through AllModels. Each model includes accepted aliases, supported providers, and whether it can be used for streaming or synchronous requests (with an orthogonal `batch` flag for STT providers that queue internally).
Search voices GET
Search voices available through AllModels. Filter by model, provider, language, category, or labels, and page through results with a cursor. No API key is required.
